TencentNavKit

Instance Methods | Properties | List of all members
TNKRideNavView Class Reference

骑行导航地图类 More...

`#import <TNKRideNavView.h>`

Inheritance diagram for TNKRideNavView:

## Instance Methods
(void) | - setUIComponentConfig:
Instance Methods inherited from TNKBaseNavView
(instancetype) | - UNAVAILABLE_ATTRIBUTE
(instancetype) | - initWithFrame:config:
| 构造方法 . since 5.2.4.4 More...
(void) | - clearAllRouteUI
| 清除路线相关UI.该方法用于非导航状态下清除路线相关UI。 包括导航路线、自车点图标、动态添加的限速/指示标识等. More...
(void) | - updateRouteConfig:
| 更新路线样式配置 More...
(void) | - updateOriginMarkerPresentation:
| 更新起点样式。 置为nil则重新使用默认资源 More...
(void) | - updateDestinationMarkerPresentation:
| 更新终样式。 置为nil则重新使用默认资源 More...
(void) | - updateUserLocationPresentation:
| 更新自车点样式。 置为nil则重新使用默认资源 More...
(void) | - updateRedLineConfig:
| 配置导航红线。默认不显示，入参为nil则不显示 More...
(void) | - snapShotWithConfig:completion:
| 异步截图，支持定时回调 注意:需要导航开启后设置才能生效。 More...
(void) | - stopSnapShot
(void) | - configureUserLocationPresentation:
| 配置当前位置UI属性 (必须在QMapView 初始化以后, 定位开启之前调用) More...
(void) | - setMapStyle:
| 改变底图样式。注意，如果调用该方法，日夜间模式样式将不再发生变化. More...
Instance Methods inherited from <TNKRideNavDelegate>
(void) | - rideNavManagerDidStart:
| 导航开始. More...
(void) | - rideNavManagerDidStop:
| 导航结束. More...
(void) | - rideNavManagerWillArriveDestination:
| 获取到达终点附近的回调. 尚未结束导航时, 这个回调可能执行多次. More...
(void) | - rideNavManager:updateNavigationData:
| 获取导航面板信息 More...
(void) | - rideNavManager:updateBriefInfoData:
| 获取导航投屏信息 More...
(void) | - rideNavManager:didUpdateLocation:
| 获取导航定位更新回调. More...
(void) | - rideNavManager:updateLocationFailedWithError:
| 获取定位失败的回调 More...
(void) | - rideNavManager:gpsStatusDidChange:
| 获取GPS信号状态变化的回调. More...
(void) | - rideNavManager:didStartRerouting:
| 获取重新算路请求开始回调. More...
(void) | - rideNavManager:rerouteDidSuccess:
| 获取重新算路请求成功回调. More...
(void) | - rideNavManager:rerouteDidFail:
| 获取重新算路请求失败回调. More...

## Properties
id< TNKRideNavViewDelegate > | delegate
| TNKRideNavView的回调,用于接收导航模式、日夜状态等变化. More...
BOOL | showUIElements
| 是否显示界面元素,默认NO。（不包含对导航面板的控制），需在开启导航后设置 More...
BOOL | showOverviewButton
| 是否显示全览/退出全览切换按钮，默认NO，需在开启导航后设置 More...
BOOL | showBottomToolbar
| 是否显示底部工具栏，默认NO（包含退出、剩余距离时间、预计到达时间、设置），需在开启导航后设置 More...
BOOL | showToast
| 是否显示提示(包括GPS变弱、恢复，手动刷新路线)，默认NO More...
BOOL | showRouteRefreshButton
| 是否显示路线刷新按钮，默认为NO，需在开启导航后设置. since 5.2.5 More...
BOOL | showCurrentSpeedView
| 是否显示当前车速， 默认NO，需在开启导航后设置 More...
BOOL | showSettingButton
| 是否显示设置按钮，默认NO，需在开启导航后设置 More...
BOOL | showExitButton
| 是否显示退出按钮，默认NO，需在开启导航后设置 More...
Properties inherited from TNKBaseNavView
QMapView * | mapView
| 地图实例 More...
TNKNavDayNightMode | dayNightMode
| 地图日夜间模式切换策略. 包括自动切换、始终白天、始终黑夜3种模式. 默认为日夜状态自动切换. More...
TNKNavDayNightStatus | dayNightStatus
| 获取地图当前日夜状态. More...
TNKNavUIMode | navUIMode
| 导航视角模式. 导航模式包括3D车头朝上、2D地图朝北、全览和剩余全览4种模式. 默认为3D车头朝上模式. 导航状态下使用手势操作地图时触发非锁车模式，地图不跟随自车点移动 ；在手势操作结束后一段时间切换回之前的导航模式. 该时间可由followDelay设定,默认回弹时间为5秒。 More...
BOOL | followed
| 当前是否是锁车标状态。当收到拖动地图时，地图视野一段时间内不会发生改变，follow为NO。 More...
BOOL | followEnabled
| 是否会自动从非锁车标状态进入锁车标状态； 默认为YES More...
NSTimeInterval | followDelay
| 设置从非锁车标状态返回之前锁车标状态的延迟时间，单位为秒， 默认为5秒. More...
BOOL | exitOverviewEnabled
| 是否会自动从全览状态进入导航态,默认为NO More...
NSTimeInterval | exitOverviewDelay
| 设置从全览到退出全览模式进入导航态的延迟时间,单位为秒,默认为10秒,区间(0,+∞). More...
TNKNavUIMode | nonOverviewNaviUIMode
| 非全览的导航视角模式. 导航模式包括3D车头朝上、2D地图朝. More...
TNKNavUIMode | overviewNaviUIMode
| 全览的导航视角模式. 全览和剩余全览. More...
TNKRouteConfig * | routeConfig
| 驾车导航路线样式配置 More...
UIEdgeInsets | externalEdgeInsets
| 设置全览和剩余全览模式下导航路线显示区域距离地图四周的边距. 当在CarNaviView上自定义显示元素时, 为避免与导航路线相互遮挡, 可调用该接口调整导航路线显示区域范围. 默认值为(80,80,150,40), 使得全览和剩余全览模式下导航路线四周有部分留白. More...
NSArray< TNKCoordinatePoint * > * | extraPointsForOverview
| 设置全览和剩余全览模式下，想要展示在可视区域内的额外的点数组。使用之后需重置为nil More...
CGPoint | fix3DProportion
| 3D导航时自车点位置在地图上位置的比例 默认值为(0.5,0.72). x取值范围为[0.25,0.75] 表示从屏幕左边起的宽度比例. y取值范围为[0.25,0.75] 表示从屏幕上边起的高度比例. 若设置值不在区间内则使用默认值. More...
CGPoint | fix2DProportion
| 2D导航时自车点位置在地图上位置的比例 默认值为(0.5,0.6). x取值范围为[0.25,0.75] 表示从屏幕左边起的宽度比例. y取值范围为[0.25,0.75] 表示从屏幕上边起的高度比例. 若设置值不在区间内则使用默认值. More...
BOOL | compassHidden
| 设置是否隐藏自车点罗盘.该方法用于导航状态下控制显示/隐藏自车点罗盘. 自车点罗盘在3D车头朝上模式下会默认显示, 在2D地图朝北、全览模式和剩余全览模式下会默认隐藏. More...
BOOL | turnArrowEnabled
| 设置是否隐藏转弯箭头指引.该方法用于导航状态下控制显示/隐藏下一个转弯箭头指引.默认为YES More...
TNKTurnArrowConfig * | turnArrowConfig
| 设置是转向箭头的样式，不可为nil More...
UIView * | navInfoBriefView
| 导航截图叠加视图 More...
BOOL | showsUserLocation
| 开启定位并展示位置图标. More...

## Detailed Description

骑行导航地图类

## Method Documentation

## ◆ setUIComponentConfig:

- (void) setUIComponentConfig: |  | (TNKUIComponentConfig *) | uiComponentConfig |

设置UI组件配置

## Property Documentation

## ◆ delegate

- (id<TNKRideNavViewDelegate>) delegate
| read write nonatomic weak

TNKRideNavView的回调,用于接收导航模式、日夜状态等变化.

## ◆ showBottomToolbar

- (BOOL) showBottomToolbar
| read write nonatomic assign

是否显示底部工具栏，默认NO（包含退出、剩余距离时间、预计到达时间、设置），需在开启导航后设置

## ◆ showCurrentSpeedView

- (BOOL) showCurrentSpeedView
| read write nonatomic assign

是否显示当前车速， 默认NO，需在开启导航后设置

## ◆ showExitButton

- (BOOL) showExitButton
| read write nonatomic assign

是否显示退出按钮，默认NO，需在开启导航后设置

## ◆ showOverviewButton

- (BOOL) showOverviewButton
| read write nonatomic assign

是否显示全览/退出全览切换按钮，默认NO，需在开启导航后设置

## ◆ showRouteRefreshButton

- (BOOL) showRouteRefreshButton
| read write nonatomic assign

是否显示路线刷新按钮，默认为NO，需在开启导航后设置. since 5.2.5

## ◆ showSettingButton

- (BOOL) showSettingButton
| read write nonatomic assign

是否显示设置按钮，默认NO，需在开启导航后设置

## ◆ showToast

- (BOOL) showToast
| read write nonatomic assign

是否显示提示(包括GPS变弱、恢复，手动刷新路线)，默认NO

## ◆ showUIElements

- (BOOL) showUIElements
| read write nonatomic assign

是否显示界面元素,默认NO。（不包含对导航面板的控制），需在开启导航后设置

The documentation for this class was generated from the following file:

- TNKRideNavView.h